permalink:        /news/:year/:month/:day/:title/

# Setup
title:               KWARC
tagline:             'Knowledge Adaptation and Reasoning for Content '
description:         'The Research Group of the Professorship for Knowledge Representation and Processing at <a href="https://fau.de" class="black-text">FAU Erlangen-Nürnberg</a> - <a href="https://cs.fau.de" class="black-text">Computer Science</a> (previously <a href="https://jacobs-university.de/" class="black-text">Jacobs University</a>). '
url:                 https://kwarc.info
baseurl:             ''
paginate:            10
paginate_path:       "/news/page:num/"
blog_path:           "/news/"
future:              True
encoding: utf-8
plugins:
  - jekyll-paginate
  - jekyll-github-metadata
  - jekyll-redirect-from

exclude:
    - 'run' # because Michael
    - 'public/materialize/materialize-src/*'
    - 'public/*.md'
    - 'public/*.html'
    - '*/README.md'


# About/contact
author:
  name:              'The KWARC Group'
  url:               http://kwarc.info
  email:             kohlhase@kwarc.info

semesters:
    former:
        - Fall03
        - Spring04
        - Fall04
        - Spring05
        - Fall04
        - Spring06
        - Fall06
        - Spring07
        - Fall07
        - Spring08
        - Fall08
        - Spring09
        - Fall09
        - Spring10
        - Fall10
        - Spring11
        - Fall11
        - Spring12
        - Fall12
        - Spring13
        - Fall13
        - Intersession14
        - Spring14
        - Fall14
        - Spring15
        - Fall15
        - Spring16
        - Fall16
        - Spring17
        - WS16/17
        - SS17
        - WS17/18
        - SS18
        - WS18/19
        - SS19
    current: SS20
    upcoming: WS20/21

# Custom vars
version:             0.3.0
repository:          https://gl.kwarc.info/kwarc/kwarc.info/www
tagfolder:           tag

materialize:         materialize
jquery:              jquery-3.2.1
fontawesome:         font-awesome-4.7.0

# Menu config
menu:
    - title: 'News'
      url: '/news/'
      active: '/news/'

    - title: 'People'
      active: '/people/'
      url: '/people/'
      items:
        - title: 'Former Members'
          url: '/people/former/'

    - title: 'Research'
      url: '/research/'
      folder: 'research'
      items:
        - title: 'Bibliography'
          external: true
          url: 'https://kwarc.github.io/bibs/'

    - title: 'Systems'
      active: '/systems/'
      url: '/systems/'
      items:
          - title: 'Orphaned Systems'
            url: '/systems/orphans/'
          - title: 'Historic Systems'
            url: '/systems/historic/'

    - title: 'Projects'
      active: '/projects/'
      url: '/projects/'
      items:
          - title: 'Completed Projects'
            url: '/projects/completed/'

    - title: 'Courses & Theses'
      url: '/courses/'
      active: '/courses/'
      items:
          - title: 'Overview (D)'
            url: '/courses/overview/'
          - title: 'Former Courses'
            url: '/courses/former/'
          - title: 'Upcoming Courses'
            url: '/courses/upcoming/'
          - title: 'Thesis Topics & Projects'
            url: '/courses/topics/'
          - title: 'Completed Theses'
            url: '/courses/theses/'

    - title: 'Events'
      url: '/events/'
      active: '/events/'

    - title: 'Hiring'
      url: '/hiring/'
      active: '/hiring/'

    - title: 'Contact'
      url: '/contact/'

# Settings for compressing everything
compress_html:
  clippings: []
  comments: ["<!-- ", " -->"]

# roles for people and their name
roles:
    -
        id: faculty
        name: Faculty
    -
        id: postdoc
        name: Postdoc
    -
        id: phd-student
        name: "Phd Student"
    -
        id: master-student
        name: "Master Student"
    -
        id: bachelor-student
        name: "Bachelor Student"


# default values -- the one for all **must** be first
defaults:
  -
    scope:
      path: ""
    values:
      menu_hidden: false
      menu_order: 100
      external: false
